This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 479129 - mail-notification display area too small (on the left side)
mail-notification display area too small (on the left side)
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: mail-notification (Show other bugs)
10
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Dmitry Butskoy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-07 09:04 EST by Stefan Jensen
Modified: 2009-01-11 08:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 09:23:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mail notification with 198 Mails (16.47 KB, image/png)
2009-01-07 09:04 EST, Stefan Jensen
no flags Details

  None (edit)
Description Stefan Jensen 2009-01-07 09:04:14 EST
Created attachment 328373 [details]
mail notification with 198 Mails

Description of problem:

The display area in the gnome panel seems a little small for a message count greater than 99. Please see attached screenshoot (198 Mails). It shows mail-notification with 199 Messages in the mailbox.

Version-Release number of selected component (if applicable):

mail-notification-5.4-4.fc10.x86_64

How reproducible:

Always

Steps to Reproduce:
1. put mail-notification in the panel
2. catch more than 99 Mails
  
Actual results:

Full count of Mails is not displayed correctly, only 2 digits are visible.
Display Area is to small.

Expected results:

Full count displayed, or at least one digit more.

best regards
Comment 1 Dmitry Butskoy 2009-01-07 09:23:51 EST
It seems that the font size is too big in your environment.

Try to decrease the font sizes, or increase the height of the gnome-panel, or the width of the notification area of the gnome-panel.

Please, reopen if it will not help (ie. with the big panel sizes and small fonts the issue still exists).
Comment 2 Stefan Jensen 2009-01-08 07:34:05 EST
Mmh, neither changing Panel size or font sizes won't help. Only changing DPI to 84 Dots per Inch or lower will display the hole counting digits, but very very small. 

I played around with various font sizes and DPI, once with the binary "nvidia" driver (which computed the DPI to 88) and the open "nv" driver (which computed 96 DPI).

The only setting on which all digits are displayed are "font size 8" or lower and DPI set to 84 or lower. Even with this, a little piece on the left side of the box around the digits is always cut off.

All settings beyond this will end up in a "to small applet area".

I notice, that the applet size and icon don't grow when changing the gnome panel size. I don't know if it is correct. Anyway.

I think, giving the applet a little more width would do it? Or compute the width, based on actual font size? I have no clue.

My usually settings for my desktop are 1920x1200@60, "Sans 8 or 9", DPI manually set to "96", which gives me nice and sharp fonts in mostly all (gtk)
Applications.

best regards
Comment 3 Thorsten Leemhuis 2009-01-08 13:15:27 EST
(In reply to comment #2)
> [...]
> I think, giving the applet a little more width would do it? Or compute the
> width, based on actual font size? I have no clue.
> [...]

Just my 2 cent, but I say we should stop discuss this here and raise the issue upstream, as this afaics is not a Fedora specific problem and hence better dealt with upstream, as fixing it there will fix it for everyone
Comment 4 Dmitry Butskoy 2009-01-11 08:05:44 EST
Reported upstream.

Note You need to log in before you can comment on or make changes to this bug.